Create a task
Scope: projects:projects.write https://api.alladdin.com/api/v2/tasks
Creates a new task.
The response returns the new task id.
Request body
object project_id string required
Project ID
name string required
Task name
description string | null optional
Task description
due_date string<date> | null optional
Due date in ISO 8601
priority integer | null optional
Task priority
status string | null optional
Task status
assigned_to[] string[] | null optional
Assigned user IDs
Request
import requests
url = "https://api.alladdin.com/api/v2/tasks"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Accept": "application/json",
}
payload = {
"project_id": "string",
"name": "string",
"description": "string",
"due_date": "2024-01-15",
"priority": 0,
"status": "string",
"assigned_to": [
"string"
]
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())Responses
Response
{
"id": "507f1f77bcf86cd799439011"
}Success responses
201 Task created application/json object id string
Error responses
400 Bad request application/json 401 Invalid or missing API key application/json 403 Insufficient permissions application/json 422 Validation error application/json 429 Rate limit exceeded application/json
